import { createAsyncStructure } from 'store/utils/actions';

import constants from './constants';

const actions = {
  list: createAsyncStructure(`${constants.prefix}_list`),
  upload: createAsyncStructure(`${constants.prefix}_upload`),
  uploadS3: createAsyncStructure(`${constants.prefix}uploadS3`),
  uploadVimeo: createAsyncStructure(`${constants.prefix}video_vimeo_upload`),
  filesGetMine: createAsyncStructure(`${constants.prefix}sGetMine`),
  filesGetOne: createAsyncStructure(`${constants.prefix}sGetOne`),
  filesDeleteOne: createAsyncStructure(`${constants.prefix}sDeleteOne`),
};

export default actions;
